﻿let mainMenuDiv;
let menuBarDiv;

export function sendUpdatedToolbarMetrics() {
    if (!mainMenuDiv) {
        mainMenuDiv = document.getElementsByClassName("main-menu")[0];
    }
    if (!menuBarDiv) {
        menuBarDiv = document.getElementById("menuBar");
    }

    if (window.appWorkspace) {
        let availMainMenuWidth = document.body.clientWidth;
        for (let n of menuBarDiv.childNodes) {
            if (n.classList && !n.classList.contains("spacer") && !n.classList.contains("main-menu")) {
                availMainMenuWidth -= n.clientWidth;
            }
        }

        window.appWorkspace.invokeMethodAsync("UpdateToolbarMetrics", {
            ribbonWidth: document.body.clientWidth,
            mainMenuWidth: availMainMenuWidth,
            zoom: 1
        });
    }
}

window.addEventListener("resize", () => sendUpdatedToolbarMetrics());