﻿window.blockpad = window.blockpad || {};
window.blockpad.electron = window.blockpad.electron || {};

if (!window.require && window.parent.require) {
    window.require = module => window.parent.require(module);
}

export function getMainWindowId() {
    if (window.location.pathname === "/main-window" || window.location.pathname === "/confirm-close") {
        let urlParams = new URLSearchParams(window.location.search);
        let mainWindowId = new String(urlParams.get("id"));
        return Number(mainWindowId);
    }
    else if (window.parent?.location?.pathname === "/main-window") {
        let urlParams = new URLSearchParams(window.parent.location.search);
        let mainWindowId = new String(urlParams.get("id"));
        return Number(mainWindowId);
    }
    else {
        return -1;
    }
};